Loading...
Searching...
No Matches
BALL::NMRStarFile::ShiftReferenceSet Class Reference

`#include <BALL/FORMAT/NMRStarFile.h>`

## Public Member Functions

| ShiftReferenceSet ()
std::ostream & | operator>> (std::ostream &s)

## Public Attributes

String | name
std::vector< ShiftReferenceElement > | elements

## Detailed Description

ShiftReferenceSet. This class includes all information for all sets of shift references for several atom types delivered by a NMRStar file. All members are public for easy access.

Definition at line 221 of file NMRStarFile.h.

## Constructor & Destructor Documentation

## ShiftReferenceSet()

BALL::NMRStarFile::ShiftReferenceSet::ShiftReferenceSet | ( |  | ) |

## Member Function Documentation

## operator>>()

std::ostream & BALL::NMRStarFile::ShiftReferenceSet::operator>> | ( | std::ostream & | s | ) |

## Member Data Documentation

## elements

std::vector<ShiftReferenceElement> BALL::NMRStarFile::ShiftReferenceSet::elements

Definition at line 229 of file NMRStarFile.h.

## name

String BALL::NMRStarFile::ShiftReferenceSet::name

Definition at line 228 of file NMRStarFile.h.